/*

Theme Name: AnySell BlueCube
Template: anysell
Version: 1.0.2

*/

.wp-block-navigation.primary-menu {
    gap: 0;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item > .wp-block-navigation-item__content {
    padding: 12px 24px;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item.has-child > .wp-block-navigation-item__content {
    padding-right: 24px;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item > .wp-block-navigation__submenu-icon {
    margin-left: 0;
    margin-right: 12px;
    background: none;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item > .wp-block-navigation__submenu-container {
    top: 100%;
}
.wp-block-navigation.primary-menu .wp-block-navigation__responsive-container-content > .wp-block-navigation__container > .wp-block-navigation-item:hover {
    background: var(--wp--preset--color--gray-700);
}

body .mobile-header .wp-block-navigation__responsive-container-close,
body .mobile-header .wp-block-navigation__responsive-container-open {
    padding: 2px;
}
body .mobile-header .wp-block-navigation__responsive-container-close svg,
body .mobile-header .wp-block-navigation__responsive-container-open svg {
    width: 31px;
    height: 31px;
}
body .mobile-header .wp-block-navigation__responsive-close {
    margin-left: auto;
    margin-right: 0;
}
body .mobile-header .has-modal-open .wp-block-navigation__responsive-close {
    animation-name: rightslidein;
    animation-duration: .2s;
}
@keyframes rightslidein {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(0);
    }
}

body .mobile-header .search-toggle a {
    padding: 5px;
}
body .mobile-header .wp-block-woocommerce-customer-account[data-display-style=icon_only] {
    padding: 0;
}
body .mobile-header .wp-block-woocommerce-customer-account[data-display-style=icon_only] a {
    padding: 5px;
}
body .mobile-header .wp-block-woocommerce-customer-account[data-display-style=icon_only] a::after {
    width: 25px;
    height: 25px;
    background-size: 100%;
}
body .mobile-header .wc-block-mini-cart__button {
    padding: 2px;
}
body .mobile-header .wc-block-mini-cart__button .wc-block-mini-cart__icon {
    width: 31px;
    height: 31px;
}

body .wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wc-block-mini-cart__footer-cart,
body .wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wc-block-mini-cart__footer-checkout,
body .wc-block-cart__sidebar .wc-block-cart__submit-container .wc-block-components-button,
body .wp-block-woocommerce-checkout .wp-block-woocommerce-checkout-actions-block button {
    border-radius: 100px;
}

footer {
    .is-layout-flex {
        img {
            max-width: none;
        }
    }
}

.as-slick-single, .as-slick-single-arrows {
    overflow: hidden;
}

.slick-dots {
    display: none !important;
}

/*body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations) .wp-block-column:has(> .ms-img-zoom:first-child:last-child),
body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations):not(.elementor-editor-active) .wp-block-column:has(> .ms-img-zoom:first-child:last-child) {
    overflow: hidden;
}*/
body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations) .wp-block-column > .ms-img-zoom:first-child:last-child,
body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations):not(.elementor-editor-active) .wp-block-column > .ms-img-zoom:first-child:last-child,
body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations) .is-layout-flex > .ms-img-zoom,
body:not(.editor-styles-wrapper):not(.block-editor-page):not(.disable-ms-animations):not(.elementor-editor-active) .is-layout-flex > .ms-img-zoom {
    overflow: visible;
}

.v1-hero .wp-block-column > .alignright:first-child:last-child {
    margin-inline-start: 0;
}

@media (min-width: 600px) {
    .v1-hero .slick-list {
        margin: 0;
    }

    body .homev1-hero .slick-slide > div {
        padding: 20px 12px;
    }
}

@media (min-width: 782px) and (max-width: 1199px) {
    body .v1-hero .wp-block-columns {
        flex-wrap: nowrap !important;
    }
}

body .v1-hero .wp-block-cover {
    aspect-ratio: 515 / 212;
}
@media (max-width: 1296px) {
    body .v1-hero .wp-block-cover {
        max-width: 100%;
    }
}

.single-product .variations tr .label {
    padding-bottom: 0;
}
.woocommerce div.product form.cart table.variations td select {
    width: auto;
    height: auto;
}

.woocommerce span.onsale {
    background-color: var(--wp--preset--color--danger, #F03D3D);
}

body .wqoecf_enquiry_button, body a.wqoecf_enquiry_button, body.woocommerce a.wqoecf_enquiry_button {
    text-align: center;
    background: var(--wp--preset--color--primary);
    border-radius: 100px;
    transition: 0.3s ease-in-out;
}
body .wqoecf_enquiry_button:hover, body a.wqoecf_enquiry_button:hover, body.woocommerce a.wqoecf_enquiry_button:hover {
    background: var(--wp--preset--color--primary-hover);
}
body li.product .wqoecf_enquiry_button {
    width: 100%;
}

.single-product .product-summary:has(> .wqoecf_enquiry_button) {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.single-product .product-summary > .wqoecf_enquiry_button {
    order: 10;
    margin-block-start: 1.2rem;
}
.single-product .product-summary:has(> .wqoecf_enquiry_button) .wp-block-add-to-cart-form,
.single-product .product-summary:has(> .wqoecf_enquiry_button) .woocommerce-variation-add-to-cart {
    display: none !important;
}
.single-product .product-summary:has(> .wqoecf_enquiry_button:first-child) > *:nth-child(2) {
    margin-block-start: 0;
}

body.single-product .single_add_to_cart_button {
    border-radius: 100px;
}

/* new home slider */
body .homev1-hero .slick-next {
    display: block !important;
    right: calc(50% - 50vw + var(--wp--preset--spacing--40));
    top: auto;
    bottom: calc((var(--wp--preset--spacing--50) / 2) + 10px);
    border: 0 none;
    border-radius: 0;
    height: 20px;
    transform: scale(1.5);
    transform-origin: center;
    /*filter: drop-shadow(0px 1px 0 #FFFFFF) drop-shadow(1px 0 0 #FFFFFF) blur(0.2px);*/
}
body .homev1-hero .slick-next::before {
    color: #FFFFFF;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-weight: 900;
}
body .homev1-hero .slick-next::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    left: 0;
    width: 22px;
    height: 1.6px;
    background-color: #FFFFFF;
    transform: translateY(-50%);
}

body .homev1-hero .slick-prev {
    display: block !important;
    left: calc(50% - 50vw + var(--wp--preset--spacing--40));
    top: auto;
    bottom: calc((var(--wp--preset--spacing--50) / 2) + 10px);
    border: 0 none;
    border-radius: 0;
    height: 20px;
    transform: scale(1.5);
    transform-origin: center;
    /*filter: drop-shadow(0px 1px 0 #FFFFFF) drop-shadow(1px 0 0 #FFFFFF) blur(0.2px);*/
}
body .homev1-hero .slick-prev::before {
    color: #FFFFFF;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-weight: 900;
}
body .homev1-hero .slick-prev::after {
    content: '';
    display: block;
    position: absolute;
    top: 50%;
    right: 0;
    width: 22px;
    height: 1.6px;
    background-color: #FFFFFF;
    transform: translateY(-50%);
}

@media (min-width: 1320px) {
    body .homev1-hero .slick-next {
        right: calc(50% - (var(--wp--style--global--wide-size) / 2) + var(--wp--preset--spacing--40) - 12px);
    }

    body .homev1-hero .slick-prev {
        left: calc(50% - (var(--wp--style--global--wide-size) / 2) + var(--wp--preset--spacing--40) - 12px);
    }
}

body .homev1-hero .wp-block-cover-image.is-position-bottom-center,
body .homev1-hero .wp-block-cover.is-position-bottom-center {
    align-items: stretch;
}
body .homev1-hero .wp-block-cover-image.is-position-bottom-center .wp-block-cover__inner-container,
body .homev1-hero .wp-block-cover.is-position-bottom-center .wp-block-cover__inner-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100%;
    min-height: inherit;
}

body .homev1-hero .wp-block-heading,
body .homev1-hero p {
    text-shadow: 0 0 1px #000000,  0 0 1px #000000;
}

body .homev1-hero .wp-block-heading,
body .homev1-hero .wp-block-heading span {
    text-decoration-color: #ffbd59 !important;
}

body .homev1-hero .wp-block-button:hover .wp-block-button__link,
body .homev1-hero .wp-block-button:focus .wp-block-button__link,
body .homev1-hero .wp-block-button:active .wp-block-button__link {
    background-color: var(--wp--preset--color--base) !important;
    color: var(--wp--preset--color--contrast) !important;
}

body ul.products .wc-block-grid__product-image,
body .wc-block-grid__products .wc-block-grid__product-image,
body .wp-block-woocommerce-related-products .wc-block-grid__product-image,
body .products-block-post-template .wc-block-grid__product-image,
body .cross-sells-product .wc-block-grid__product-image {
    border-radius: 8px;
}

.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__overlay-dialog,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__overlay-dialog {
    background: inherit;
    color: inherit;
    position: relative;
    transform: none;
}

.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__overlay-wrapper,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__overlay-wrapper {
    background: inherit;
    color: inherit;
    height: auto;
    width: auto;
}

.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__overlay,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__overlay {
    background: inherit;
    color: inherit;
    inset: 0;
    pointer-events: auto;
    position: relative;
    transition: none;
}

.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__open-overlay,
.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__overlay-footer,
.filter-content :where(.wc-block-product-filters) .wc-block-product-filters__overlay-header,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__open-overlay,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__overlay-footer,
.filter-content :where(.wc-block-product-filters).is-overlay-opened .wc-block-product-filters__overlay-header {
    display: none;
}

.product .price-and-button {
    flex-wrap: wrap;
}
.product .price-and-button .wc-block-components-product-price {
    flex-direction: column-reverse;
    align-items: flex-start;
}

.brands-slick .slick-track {
    display: flex;
}
.brands-slick .slick-slide div {
    height: 100%;
}
